<?php

/*
 * (c) Stephan Sellner
 *
 * Author  Stephan Sellner
 * Version 0.1.1
 *
 * This file is part of the package ExtensionBuilder/eb_sample.
 *
 * For the full copyright and license information, please read the
 * LICENSE file that was distributed with this source code.
 *
 *
 * Extension created with Media Projekte Extension Builder
 *
 *  Build date/time: 2022-05-19 17:41:45
 *
 */


return [
	'ctrl' => [
		'title' => 'LLL:EXT:eb_sample/Resources/Private/Language/locallang.xlf:tx_ebsample_domain_model_sample',
		'iconfile' => 'EXT:eb_sample/Resources/Public/Icons/tx_ebsample_domain_model_sample.png',
		'label' => 'sample_text',
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
		'delete' => 'deleted',
		'enablecolumns' => [
			'disabled' => 'hidden',
		],
	],

	'interface' => [
	],

	'types' => [
		'0' => [
			'showitem' => '
					sample_text, sample_int, sample_tinyint, sample_double2, sample_bool, sample_date, sample_datetime, sample_time, sample_timesec, sample_varchar, sample_tinytext, sample_mediumtext, sample_longtext, sample_email, sample_pw, sample_slug, sample_link, sample_blob, sample_tinyblob, sample_mediumblob, sample_longblob, sample_selectsingle, 
			'
		],
	],

	'columns' => [
		'hidden' => [
			'exclude' => true,
			'label' => 'LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.visible',
			'config' => [
				'type' => 'check',
				'renderType' => 'checkboxToggle',
				'items' => [
					[
						0 => '',
						1 => '',
						'invertStateDisplay' => true
					]
				],
			],
		],
		'sample_text' => [
			'exclude' => true,
			'label' => 'LLL:EXT:eb_sample/Resources/Private/Language/locallang.xlf:tx_ebsample_domain_model_sample.column.sample_text',
			'config' => [
				'type' => 'input',
			],
		],
		'sample_int' => [
			'exclude' => true,
			'label' => 'LLL:EXT:eb_sample/Resources/Private/Language/locallang.xlf:tx_ebsample_domain_model_sample.column.sample_int',
			'config' => [
				'type' => 'number',
			],
		],
		'sample_tinyint' => [
			'exclude' => true,
			'label' => 'LLL:EXT:eb_sample/Resources/Private/Language/locallang.xlf:tx_ebsample_domain_model_sample.column.sample_tinyint',
			'config' => [
				'type' => 'number',
			],
		],
		'sample_double2' => [
			'exclude' => true,
			'label' => 'LLL:EXT:eb_sample/Resources/Private/Language/locallang.xlf:tx_ebsample_domain_model_sample.column.sample_double2',
			'config' => [
				'type' => 'number',
				'format' => 'decimal',
			],
		],
		'sample_bool' => [
			'exclude' => true,
			'label' => 'LLL:EXT:eb_sample/Resources/Private/Language/locallang.xlf:tx_ebsample_domain_model_sample.column.sample_bool',
			'config' => [
				'type' => 'check',
				'renderType' => 'checkboxToggle',
				'items' => [
					[
						0 => '',
						1 => '',
						'labelChecked' => 'Enabled',
						'labelUnchecked' => 'Disabled',
					],
				],
			],
		],
		'sample_date' => [
			'exclude' => true,
			'label' => 'LLL:EXT:eb_sample/Resources/Private/Language/locallang.xlf:tx_ebsample_domain_model_sample.column.sample_date',
			'config' => [
				'type' => 'datetime',
				'format' => 'date',
			],
		],
		'sample_datetime' => [
			'exclude' => true,
			'label' => 'LLL:EXT:eb_sample/Resources/Private/Language/locallang.xlf:tx_ebsample_domain_model_sample.column.sample_datetime',
			'config' => [
				'type' => 'datetime',
				'format' => 'datetime',
			],
		],
		'sample_time' => [
			'exclude' => true,
			'label' => 'LLL:EXT:eb_sample/Resources/Private/Language/locallang.xlf:tx_ebsample_domain_model_sample.column.sample_time',
			'config' => [
				'type' => 'datetime',
				'format' => 'time',
			],
		],
		'sample_timesec' => [
			'exclude' => true,
			'label' => 'LLL:EXT:eb_sample/Resources/Private/Language/locallang.xlf:tx_ebsample_domain_model_sample.column.sample_timesec',
			'config' => [
				'type' => 'datetime',
				'format' => 'timesec',
			],
		],
		'sample_varchar' => [
			'exclude' => true,
			'label' => 'LLL:EXT:eb_sample/Resources/Private/Language/locallang.xlf:tx_ebsample_domain_model_sample.column.sample_varchar',
			'config' => [
				'type' => 'input',
			],
		],
		'sample_tinytext' => [
			'exclude' => true,
			'label' => 'LLL:EXT:eb_sample/Resources/Private/Language/locallang.xlf:tx_ebsample_domain_model_sample.column.sample_tinytext',
			'config' => [
				'type' => 'input',
			],
		],
		'sample_mediumtext' => [
			'exclude' => true,
			'label' => 'LLL:EXT:eb_sample/Resources/Private/Language/locallang.xlf:tx_ebsample_domain_model_sample.column.sample_mediumtext',
			'config' => [
				'type' => 'input',
			],
		],
		'sample_longtext' => [
			'exclude' => true,
			'label' => 'LLL:EXT:eb_sample/Resources/Private/Language/locallang.xlf:tx_ebsample_domain_model_sample.column.sample_longtext',
			'config' => [
				'type' => 'input',
			],
		],
		'sample_email' => [
			'exclude' => true,
			'label' => 'LLL:EXT:eb_sample/Resources/Private/Language/locallang.xlf:tx_ebsample_domain_model_sample.column.sample_email',
			'config' => [
				'type' => 'email',
			],
		],
		'sample_pw' => [
			'exclude' => true,
			'label' => 'LLL:EXT:eb_sample/Resources/Private/Language/locallang.xlf:tx_ebsample_domain_model_sample.column.sample_pw',
			'config' => [
				'type' => 'password',
			],
		],
		'sample_slug' => [
			'exclude' => true,
			'label' => 'LLL:EXT:eb_sample/Resources/Private/Language/locallang.xlf:tx_ebsample_domain_model_sample.column.sample_slug',
			'config' => [
				'type' => 'slug',
			],
		],
		'sample_link' => [
			'exclude' => true,
			'label' => 'LLL:EXT:eb_sample/Resources/Private/Language/locallang.xlf:tx_ebsample_domain_model_sample.column.sample_link',
			'config' => [
				'type' => 'input',
			],
		],
		'sample_blob' => [
			'exclude' => true,
			'label' => 'LLL:EXT:eb_sample/Resources/Private/Language/locallang.xlf:tx_ebsample_domain_model_sample.column.sample_blob',
			'config' => [
				'type' => 'input',
			],
		],
		'sample_tinyblob' => [
			'exclude' => true,
			'label' => 'LLL:EXT:eb_sample/Resources/Private/Language/locallang.xlf:tx_ebsample_domain_model_sample.column.sample_tinyblob',
			'config' => [
				'type' => 'input',
			],
		],
		'sample_mediumblob' => [
			'exclude' => true,
			'label' => 'LLL:EXT:eb_sample/Resources/Private/Language/locallang.xlf:tx_ebsample_domain_model_sample.column.sample_mediumblob',
			'config' => [
				'type' => 'input',
			],
		],
		'sample_longblob' => [
			'exclude' => true,
			'label' => 'LLL:EXT:eb_sample/Resources/Private/Language/locallang.xlf:tx_ebsample_domain_model_sample.column.sample_longblob',
			'config' => [
				'type' => 'input',
			],
		],
		'sample_selectsingle' => [
			'exclude' => true,
			'label' => 'LLL:EXT:eb_sample/Resources/Private/Language/locallang.xlf:tx_ebsample_domain_model_sample.column.sample_selectsingle',
			'config' => [
				'type' => 'select',
				'renderType' => 'selectSingle',
'default' => '0',
			],
		],
	],
];

